local root_files = { 'pyproject.toml', 'setup.py', 'setup.cfg', 'requirements.txt', 'Pipfile' }
local path       = vim.fs.find(root_files, { type = "file" })
local root       = vim.fs.dirname(path[1])

vim.lsp.start({
  name      = "jedi-language-server",
  cmd       = { "jedi-language-server" },
  filetypes = { 'python' },
  root_dir  = root,
  init_options = {
    completion = {
      resolveEagerly = true,
    },
    jediSettings = {
      caseInsensitiveCompletion = false,
    },
    workspace = {
      symbols = {
        maxSymbols = 50
      },
    },
  },
})
